Company logoTrust Center Documentation
API v1 ReferenceUpdatesIdArchive

Archive update

Archive a published update so it no longer appears as an active published update. Request bodies must be empty; lifecycle fields are rejected on this endpoint.

POST
/api/v1/updates/{id}/archive

Archive a published update so it no longer appears as an active published update. Request bodies must be empty; lifecycle fields are rejected on this endpoint.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Update ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/updates/string/archive" \  -H "Content-Type: application/json" \  -d '{}'
{  "success": true,  "data": {    "update": {      "id": "string",      "title": "string",      "slug": "string",      "summary": "string",      "description_md": "string",      "status": "draft",      "classification": "string",      "access_level": "public",      "send_mode": "none",      "channels": [        "trust_center"      ],      "scheduled_at": "2019-08-24T14:15:22Z",      "scheduled_timezone": "string",      "published_at": "2019-08-24T14:15:22Z",      "effective_at": "2019-08-24T14:15:22Z",      "effective_timezone": "string",      "order": "asc",      "parent": "string",      "template": "string",      "documents": [        {          "id": "string",          "documents_id": "string"        }      ],      "subprocessors": [        {          "id": "string",          "subprocessors_id": "string"        }      ]    }  }}

How is this guide?